#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	XSAccessor
Summary:	Class::XSAccessor - Generate fast XS accessors without runtime compilation
Summary(pl.UTF-8):	Class::XSAccessor - Generuj szybkie funkcje dostępu XS bez kompilacji w czasie uruchomienia
Name:		perl-Class-XSAccessor
Version:	1.13
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3650906917d824582ad82e1bd974da45
URL:		http://search.cpan.org/dist/Class-XSAccessor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(AutoXS::Header) >= 1.00
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::XSAccessor implements fast read, write and read/write accessors
in XS. Additionally, it can provide predicates such as has_foo() for
testing whether the attribute foo is defined in the object. It only
works with objects that are implemented as ordinary hashes.
Class::XSAccessor::Array implements the same interface for objects
that use arrays for their internal representation.

%description -l pl.UTF-8
Class::XSAccessor - Generuj szybkie funkcje dostępu XS bez kompilacji
w czasie uruchomienia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Class/*.pm
%dir %{perl_vendorarch}/Class/XSAccessor
%{perl_vendorarch}/Class/XSAccessor/*.pm
%dir %{perl_vendorarch}/auto/Class/XSAccessor
%{perl_vendorarch}/auto/Class/XSAccessor/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Class/XSAccessor/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-XSAccessor.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6414ff7
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 65862fa
- up to 1.13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a7ccc86
- release 3

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> eead409
- added unpackaged files
- release 2

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 8a3f669
- updated to 1.05

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 541a8cb
- initial

